package de.winniepat.citrus;

public class ModConfig {
    public boolean fullbrightEnabled = false;
    public String mainmenuWallpaper = "default.png";

    public BetaConfig betaConfig = new BetaConfig();

    public static class BetaConfig {
        public String betaKey = "";
        public String verificationToken = "";
        public long tokenExpiresAt = 0;
        public boolean firstLaunch = true;
        public String apiKey = "ClientF8CjVGn7VTOAhROa65Ot";
        public String apiKeyProd = "";

        public BetaConfig() {}

        public String getActiveApiKey() {
            return (apiKeyProd != null && !apiKeyProd.trim().isEmpty()) ?
                    apiKeyProd : apiKey;
        }
    }

    public ModConfig() {}
}
